Retrieves an object of the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
location| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
|
| _parent_id |
Reference to a parent location |
globally unique identifier | |
| _parent_reference_back_office |
Embedded entity "location" for parent location using ERP PK when adding/updating location |
string | |
| _parent_location |
Embedded entity "location" for parent location when adding/updating location |
location | |
| project_status_id |
Foreign key to project_status_id |
globally unique identifier | |
| company_id |
The company owner of this location |
globally unique identifier |
Optionally required : company_id, company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating location |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating location |
company |
Optionally required : company_id, company_code or company must be provided |
| name |
Name of the location |
string |
Required Max length: 50 |
| extra_information |
extra_information |
string |
Max length: 255 |
| reference_back_office |
The Id/Ref of the back office for this location. Used by Embedded entity |
string |
Max length: 255 |
| street |
Street |
string |
Max length: 100 |
| street_number |
Street number. |
string |
Max length: 50 |
| zip |
Zip code |
string |
Max length: 50 |
| city |
City |
string |
Max length: 50 |
| phone |
Phone number |
string |
Max length: 50 |
|
Email address |
string |
Max length: 250 |
|
| db_country_id |
Foreign key to table Country |
globally unique identifier | |
| db_country_code |
CountryCode entity using international code when adding/updating company |
string | |
| street2 |
Additional information on the address not part of the postal address |
string |
Max length: 50 |
| latitude_decimal |
Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded |
decimal number | |
| longitude_decimal |
Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded |
decimal number | |
| contact_id |
Foreign key of contact for this location |
globally unique identifier | |
| contact_reference_back_office |
Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office |
string | |
| contact |
Embedded entity "contact" when adding/updating location |
contact | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| id2 |
Internal ID (numeric). Will be used if reference_back_office is empty |
integer |
Response Formats
application/json, text/json
{
"id": "87b6652b-abc5-40c2-97d3-5b56b99fe939",
"_parent_id": "8bca5e50-20c2-4209-91ab-a09aeaf95076",
"_parent_reference_back_office": "sample string 3",
"project_status_id": "2f60da73-f195-4b14-860a-7a05c03e6365",
"company_id": "9ce7b55b-b198-48b9-834b-cfc119fca73c",
"company_code": "sample string 6",
"name": "sample string 7",
"extra_information": "sample string 8",
"reference_back_office": "sample string 9",
"street": "sample string 10",
"street_number": "sample string 11",
"zip": "sample string 12",
"city": "sample string 13",
"phone": "sample string 14",
"email": "sample string 15",
"db_country_id": "a9144fc1-c090-4aa6-8460-1b5adbdab2ff",
"db_country_code": "sample string 17",
"street2": "sample string 18",
"latitude_decimal": 1.0,
"longitude_decimal": 1.0,
"contact_id": "aae97849-1632-47d0-863a-be0221469a4a",
"contact_reference_back_office": "sample string 20",
"contact": {
"id": "d96cf589-8154-4b24-a9eb-cfeeb2fb34c1",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "58b35646-78f5-4ae4-b804-d7d7c8947314",
"company_code": "sample string 5",
"company": {
"id": "3d96b177-9037-4fd9-9319-43d1ad384899",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-25T05:47:02.8451225+00:00",
"sales_territory_id": "10101886-f7c1-4409-9b5b-b9a43e65b62f",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "4e043e25-06d3-45d7-8764-0ae5a7a10ae0",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "79ff7547-6310-4b31-b119-f669284debc5",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "7c21a44d-b973-4f52-804a-db648d7b8f8e",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "46aa86bd-2979-492f-88be-7fb386b6d924",
"db_currency_id": "0805d145-471b-4481-aec4-6c75fdbc9db8",
"db_language_id": "c9ee8fcc-3003-412c-89d5-3456abd3e1bb",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-25T05:47:02.8643751+00:00"
},
"modified_dateutc": "2026-10-25T05:47:02.8643751+00:00"
},
"marketing_segment_id": "ca0f1736-cef9-40e2-b06c-963df6038cba",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "5c53480b-1fe0-48a4-8221-7b5c10d236db",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "42a866d9-0a63-466d-896b-a386ff4ef748",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "fcb3ee5f-f951-4e1c-be68-8c085fc8be31",
"db_country_code": "sample string 28",
"feelist_id": "fb0fd33b-60ea-4640-858a-ddada2cd3547",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "c358a7d8-23ef-4906-83dd-18907a0c10aa",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "39e6dd43-5e23-4213-8827-760b7f89fabc",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-25T05:47:02.8643751+00:00",
"db_currency_id": "d025c3f3-58e2-41ad-9324-80892e70ef82",
"db_currency_code": "sample string 10"
},
"company_type_id": "5e67cd6b-7fd4-4a90-a96b-597fde107cfc",
"company_type_name": "sample string 32",
"company_type": {
"id": "2a2088f4-a683-4e83-a018-ba84cadefa9b",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "58ced382-be01-493e-9c8a-12abdf2d0aeb",
"sales_organization_code": "sample string 5"
},
"db_language_id": "dd91b419-9229-4daf-a27a-ad4e00eb20d3",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "a11824ab-4a5f-4fde-b0e1-8cf24e7d809e",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "8b5a3df7-9f7f-4680-ab47-5f84872373e0",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "972f1622-6cc6-4834-87a7-6215ca1448d6",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-25T05:47:02.8643751+00:00"
},
"company_sector_id": "dd626ab5-3c17-4067-a71a-12e908cb5532",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "fe6a025d-bd49-4f7c-8f20-7fe88243eec3",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "1eddb69c-d395-42bf-a00f-0acc8b407ef6",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "48571f94-6952-4737-b174-80a9563c1799",
"account_manager_user_code": "sample string 56",
"company_status_id": "7012078e-cc6d-46a7-9896-1b068c6c8d27",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-25T05:47:02.8643751+00:00",
"id2": 60
},
"db_language_id": "b732172c-82e1-4416-a329-4c6f85a99b24",
"db_language_code": "sample string 7",
"db_title_id": "5d41e0e5-11fa-45f6-8013-5e53d3bab33d",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-25T05:47:02.8643751+00:00",
"create_date": "2026-10-25T05:47:02.8643751+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-25T05:47:02.8643751+00:00"
},
"modified_dateutc": "2026-10-25T05:47:02.8643751+00:00",
"id2": 22
}